# $Revision: 1.20 $, $Date: 2006/11/17 10:54:29 $
#
# TODO: global fonts installation
#
# Conditional build:
%bcond_without	static_libs 	# build without static libraries
%bcond_without	xine		# build without xine support
#
Summary:	LibSTK - graphical widget set written in C++
Summary(pl):	LibSTK - zbir graficznych widgetw napisany w C++
Name:		libstk
Version:	0.2.0
%define		_snap	20061117
Release:	0.%{_snap}.1
License:	Libstk Library License (relaxed LGPL)
Group:		Libraries
#Source0:	http://www.libstk.net/sites/www.libstk.net/files/%{name}-%{_snap}.tar.gz
Source0:	%{name}-%{_snap}.tar.bz2
# Source0-md5:	350c5e47de8a54d19372bcf6ca926540
Patch0:		%{name}-fixes.patch
URL:		http://www.libstk.net/
BuildRequires:	DirectFB-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	boost-bind-devel >= 1.32.0
BuildRequires:	boost-conversion-devel >= 1.32.0
BuildRequires:	boost-devel >= 1.32.0
BuildRequires:	boost-signals-devel >= 1.32.0
BuildRequires:	boost-thread-devel >= 1.32.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
%{?with_xine:BuildRequires:	xine-lib-devel}
%{?with_xine:Provides:	%{name}(xine) = %{version}-%{release}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibSTK is graphical widget set designed to meet the needs of today's
emerging class of embedded media platforms, such as set-top boxes, and
vehicular media systems. LibSTK abstracts the graphic and event
systems, allowing it to be used on any platform with a C++-compliant
compiler.

%description -l pl
LibSTK to zestaw widgetw graficznych zaprojektowany aby sprosta
dzisiejszym potrzebom pojawiajcej si klasy platform z osadzonymi
mediami. LibSTK tworzy abstrakcj systemw grafiki i zdarze,
pozwalajc na uywanie ich na kadej platformie z kompilatorem zgodnym
z C++.

%package devel
Summary:	Header files for LibSTK library
Summary(pl):	Pliki nagwkowe biblioteki LibSTK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildRequires:	DirectFB-devel
Requires:	SDL-devel >= 1.2.0
Requires:	boost-bind-devel >= 1.32.0
Requires:	boost-devel >= 1.32.0
Requires:	boost-signals-devel >= 1.32.0
Requires:	boost-thread-devel >= 1.32.0
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	libpng-devel
%{?with_xine:Requires:	xine-lib-devel}

%description devel
Header files for LibSTK library.

%description devel -l pl
Pliki nagwkowe biblioteki LibSTK.

%package static
Summary:	Static LibSTK library
Summary(pl):	Statyczna biblioteka LibSTK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibSTK library.

%description static -l pl
Statyczna biblioteka LibSTK.

%prep
%setup -q -n %{name}-%{_snap}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# workaround for xine headers
CPPFLAGS="-DHAVE_BASENAME"
%configure \
	--enable-directfb \
	--enable-fbdev \
	--enable-sdl \
	%{!?with_static_libs:--enable-static=no} \
	%{?with_xine:--enable-xine}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f doc/license.txt .

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO license.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libstk-*
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libstk.spec,v $
Revision 1.20  2006/11/17 10:54:29  qboosh
- complete URL

Revision 1.19  2006/11/17 10:46:46  czarny
- updated URLs, as site moved to libstk.net
- 20061117 snapshot
- source from distfiles, as their site is broken

Revision 1.18  2006/01/27 21:40:15  pluto
- updated to 0.2.0-20051213.

Revision 1.17  2005/10/05 15:36:21  arekm
- rel .8

Revision 1.16  2005/09/22 21:45:10  twittner
- changed -fixes.patch:  kill `-gcc-mt-X_XX' suffixes from boost libraries
  names (it should be ok since boost.spec 1.47 rev.)
- added bcond_without static_libs
- rel. 7

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/12/22 07:35:05  qboosh
- release .6

Revision 1.13  2004/12/22 07:34:26  qboosh
- -devel R: xine-lib-devel (if built with xine)

Revision 1.12  2004/12/05 14:18:59  qboosh
- updated boost deps for updated fixes patch

Revision 1.11  2004/12/01 10:42:31  havner
- rel 5, fixed fixes patch

Revision 1.10  2004/12/01 07:42:37  havner
- rel 4

Revision 1.9  2004/09/11 13:06:19  havner
- reverted, rel 3

Revision 1.8  2004/09/11 06:09:31  havner
- turned off xine bcond to remove building loop

Revision 1.7  2004/07/02 22:02:57  grzegol
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.6  2004/05/13 21:10:58  qboosh
- doesn't link with xine, so -devel doesn't R: xine-lib-devel

Revision 1.5  2004/05/13 21:02:34  qboosh
- xine-enabled version Provides: libstk(xine)

Revision 1.4  2004/05/13 20:52:40  qboosh
- build with xine support

Revision 1.3  2004/05/08 18:44:47  qboosh
- explicit deps for boost-devel, it's used directly too

Revision 1.2  2004/05/08 18:17:50  qboosh
- updated to 20040507 snap (for boost 1.31), added fixes patch

Revision 1.1  2004/02/08 00:19:59  qboosh
- new
